Subject: Re: [PATCH 0/2] HW VLAN filtering control

From: Patrick McHardy <[email-masked]>
Date: Mon, 30 Jul 2007 14:43:56 +0200

Mitch Williams wrote:
> This patchset adds the capability to disable hardware VLAN filtering at
> runtime via the existing vconfig utility.  It's useful for debugging
> purposes.
> 
> The first patch modifies the VLAN subsystem to define the flag, and to
> support passing the flag on to the base driver.
> 
> The second patch modifies e1000 to support the flag.  Since it's only
> one function, other drivers can be easily modified to support this
> functionality.
> 
> vconfig is used without modification to enable or disable filtering:
> 	# vconfig [vlan-interface] 2 1
> will disable filtering, and
> 	# vconfig [vlan-interface] 2 0
> will enable filtering.

I think an ethtool option for this would be more consistent with
configuration of other device features and its questionable whether
new feature should be added to the ioctl interface at all. The
vlan driver could perform the necessary reconfiguration in the
FEAT_CHANGE notifier call.